Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.event
Class GraphSelectionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.jgraph.event.GraphSelectionEvent

All Implemented Interfaces:
  Serializable

public class GraphSelectionEvent
extends EventObject

An event that characterizes a change in the current selection. The change is based on any number of cells. GraphSelectionListeners will generally query the source of the event for the new selected status of each potentially changed cell.

See Also:
  `GraphSelectionListener`, `GraphSelectionModel`, Serialized Form

Field Summary
`protected boolean[]` | `areNew` For each cell identifies if that cell is in fact new.
`protected Object[]` | `cells` Cells this event represents.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GraphSelectionEvent(Object source, Object[] cells, boolean[] areNew)` Represents a change in the selection of a GraphSelectionModel.

Method Summary
`Object` | `cloneWithSource(Object newSource)` Returns a copy of the receiver, but with the source being newSource.
`Object` | `getCell()` Returns the first cell.
`Object[]` | `getCells()` Returns the cells that have been added or removed from the selection.
`boolean` | `isAddedCell()` Returns true if the first cell has been added to the selection, a return value of false means the first cell has been removed from the selection.
`boolean` | `isAddedCell(int index)` Returns true if the cell identified by `index` was added to the selection.
`boolean` | `isAddedCell(Object cell)` Returns true if the cell identified by cell was added to the selection.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cells

    protected Object[] cells

  Cells this event represents.

### areNew

    protected boolean[] areNew

  For each cell identifies if that cell is in fact new.

Constructor Detail

### GraphSelectionEvent

    public GraphSelectionEvent(Object source,
                               Object[] cells,
                               boolean[] areNew)

  Represents a change in the selection of a GraphSelectionModel. cells identifies the cells that have been either added or removed from the selection.

Parameters:
  `source` - source of event
  `cells` - the paths that have changed in the selection

Method Detail

### getCells

    public Object[] getCells()

  Returns the cells that have been added or removed from the selection.

### getCell

    public Object getCell()

  Returns the first cell.

### isAddedCell

    public boolean isAddedCell()

  Returns true if the first cell has been added to the selection, a return value of false means the first cell has been removed from the selection.

### isAddedCell

    public boolean isAddedCell(Object cell)

  Returns true if the cell identified by cell was added to the selection. A return value of false means the cell was in the selection but is no longer in the selection. This will raise if cell is not one of the cells identified by this event.

### isAddedCell

    public boolean isAddedCell(int index)

  Returns true if the cell identified by `index` was added to the selection. A return value of false means the cell was in the selection but is no longer in the selection. This will raise if index < 0 || >= `getPaths`.length.

  Since:
    1.3

### cloneWithSource

    public Object cloneWithSource(Object newSource)

  Returns a copy of the receiver, but with the source being newSource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2003-2004 Gaudenz Alder. All rights reserved.